%% Beregning av bidraget fra resterende strekkspenning
%% Innputt data
a=1400;
fck=35;
p=0.01;
d=400;
b=200;
V=linspace(0,800,500);
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
L=2.*a;
%% Beregning Vres
acs=(0.5*a+0.51*d)*10^-3;
lf=d/6;
c=d.*p.*(Es./Ec).*((1+((2*Ec)./(p.*Es))).^(1/2)-1);
z=d-c/3;
Toining=((V.*acs.*10^6)./(p.*d.*b.*Es.*z)).*((0.6*d-c)/(d-c));
lf=d/6;
df=d-c+(lf*sin(pi/8));
Gf=0.073*fck^(0.18);
 if fck<50
     fct=0.3*(fck)^(2/3);
 elseif fck>=50
     fct=0.3*(50*fck)^(1/3);
 end

wc=(Gf/fct)*((1+0.31)/0.31);
Ua=Toining*(d-c);

Rotasjon=Ua/df;

%Integrasjonsgrense
for i=1:500
    if (Rotasjon(i)*lf < wc)
    lf_1(i)=lf;
    elseif (Rotasjon(i)*lf > wc)
    lf_1(i)=(wc/Ua(i))*df;
    end
end   
 sig_res=fct.*(1-(1/(1+0.31)).*((Ua.*lf_1)/(df*wc)).^0.31);
for i=1:500                                                                              
    if (fct*(1-(1/(1+0.31)).*((Ua(i).*lf_1(i))/(df*wc)).^0.31) >= 0)                         
    sig_res(i) = fct.*(1-(1/(1+0.31)).*((Ua(i).*lf_1(i))/(df*wc)).^0.31);  
    elseif (fct*(1-(1/(1+0.31)).*((Ua(i).*lf_1(i))/(df*wc)).^0.31) < 0)                      
    sig_res(i) = 0;
    end
end
V_res=b*cos(pi/8).*lf_1.*sig_res;
forhold_res=V_res/(b*d*fck^(1/2));

if fck<=60
    dg=dg;
elseif fck>60
    dg=dg*(60/fck)^2;
end

if 16+dg <=40
    ddg=16+dg;
elseif 16+dg >40
    ddg=40;
end

toining_forhold=Toining*d/ddg;
Vres_forhold=V_res/(b*d*(fck^(1/2)));
%% plot

fig=figure
a=area(toining_forhold,Vres_forhold)
a(1).FaceColor=[0 0.5 1]
hold on
axis([0 0.06 0 0.1])
xlabel('{\epsilon}_s*d /d_d_g  [-]')
ylabel('V_r_e_s/(b d \surdfck) [\surdMPa]')
legend('Resterende strekkspenning','location','northeast')
title('Bidrag fra resterende strekkspenning','fontsize',16)
set(fig,'position',[0 0 1000 500])
print(fig,'Vres','-dpng','-r300')