%% Beregning av l/d forhold ved varierende l
%% Inndata
L=6000;
a=L/2;
fck=30;
d=500;
b=250;
p=0.01;
V=100;
q=50;
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
Xf=linspace(d,3*d,500);
Xa=d
%% Pvirkning fra l/d forhold, Beregning for l/d=12

acs=Xf*((L-Xf)/(L-2.*Xf));
for i=1:500
    if acs(i) >= d
    acs(i)= acs(i);
    elseif  acs(i) < d
     acs(i)=d;
    end
end
Alpha_cs=(acs./d);
k=(1./(1-0.5*(d./(L-2*Xf)))).*(0.5+0.2.*(Alpha_cs).^(1/3));
Vc_rev=k.*b.*d.*((100.*p.*fck.*((16+dg)./(acs))).^(1/3));
vcrev_forhold=Vc_rev/(b*d*(fck)^(1/2));
q_brudd=(Vc_rev./((L/2)-Xf));
q_brudd_forhold=q_brudd./b;
Xf_forhold=Xf./d;

id_min=find(q_brudd_forhold==min(q_brudd_forhold));
q_brudd_forhold_min=min(q_brudd_forhold);
Xf_ved_min=Xf_forhold(id_min);
%% plot for l/d=12
fig=figure
subplot(1,3,1)
a1=plot(Xf_forhold,q_brudd_forhold)
hold on
plot(Xf_ved_min,q_brudd_forhold_min,'K*','LineWidth',1.5)
hold on
axis([0 3 0 0.25])
set(fig,'position',[0 0 1500 400])

%% Inndata
L=7500;
a=L/2;
fck=30;
d=500;
b=250;
p=0.01;
V=100;
q=50;
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
Xf=linspace(d,3*d,500);
Xa=d;
%% Beregning for l/d=15

acs=Xf*((L-Xf)/(L-2.*Xf));
for i=1:500
    if acs(i) >= d
    acs(i)= acs(i);
    elseif  acs(i) < d
     acs(i)=d;
    end
end
Alpha_cs=(acs./d);
k=(1./(1-0.5*(d./(L-2*Xf)))).*(0.5+0.2.*(Alpha_cs).^(1/3));
Vc_rev=k.*b.*d.*((100.*p.*fck.*((16+dg)./(acs))).^(1/3));
vcrev_forhold=Vc_rev/(b*d*(fck)^(1/2));
q_brudd=(Vc_rev./((L/2)-Xf));
q_brudd_forhold=q_brudd./b;
Xf_forhold=Xf./d;

id_min=find(q_brudd_forhold==min(q_brudd_forhold));
q_brudd_forhold_min=min(q_brudd_forhold);
Xf_ved_min=Xf_forhold(id_min);
%% plot for l/d=15
subplot(1,3,1)
a2=plot(Xf_forhold,q_brudd_forhold)
hold on
plot(Xf_ved_min,q_brudd_forhold_min,'K*','LineWidth',1.5)
hold on
axis([0 3 0 0.25])

%% Inndata
L=9000;
a=L/2;
fck=30;
d=500;
b=250;
p=0.01;
V=100;
q=50;
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
Xf=linspace(d,3*d,500);
Xa=d;
%% Beregning for l/d=18

acs=Xf*((L-Xf)/(L-2.*Xf));
for i=1:500
    if acs(i) >= d
    acs(i)= acs(i);
    elseif  acs(i) < d
     acs(i)=d;
    end
end
Alpha_cs=(acs./d);
k=(1./(1-0.5*(d./(L-2*Xf)))).*(0.5+0.2.*(Alpha_cs).^(1/3));
Vc_rev=k.*b.*d.*((100.*p.*fck.*((16+dg)./(acs))).^(1/3));
vcrev_forhold=Vc_rev/(b*d*(fck)^(1/2));
q_brudd=(Vc_rev./((L/2)-Xf));
q_brudd_forhold=q_brudd./b;
Xf_forhold=Xf./d;

id_min=find(q_brudd_forhold==min(q_brudd_forhold));
q_brudd_forhold_min=min(q_brudd_forhold);
Xf_ved_min=Xf_forhold(id_min);
%% plot for l/d=18
subplot(1,3,1)
a3=plot(Xf_forhold,q_brudd_forhold)
hold on
plot(Xf_ved_min,q_brudd_forhold_min,'K*','LineWidth',1.5)
hold on
axis([0 3 0 0.25])

legend([a1 a2 a3],{'l/d=12','l/d=15','l/d=18'},'location','southeast')
xlabel('x_F / d [-]')
ylabel('q_b_r_u_d_d / b [MPa]')
title('(a) pvirkning fra l/d forhold','fontsize',16)


%% Beregning av forskjellige dybder
%% Inndata
fck=30;
d=250;
b=250;
L=d*15;
a=L/2;
p=0.01;
V=100;
q=50;
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
Xf=linspace(d,3*d,500);
Xa=d;
%% Beregning for d=250 mm
acs=Xf*((L-Xf)/(L-2.*Xf));
for i=1:500
    if acs(i) >= d
    acs(i)= acs(i);
    elseif  acs(i) < d
     acs(i)=d;
    end
end
Alpha_cs=(acs./d);
k=(1./(1-0.5*(d./(L-2*Xf)))).*(0.5+0.2.*(Alpha_cs).^(1/3));
Vc_rev=k.*b.*d.*((100.*p.*fck.*((16+dg)./(acs))).^(1/3));
vcrev_forhold=Vc_rev/(b*d*(fck)^(1/2));
q_brudd=(Vc_rev./((L/2)-Xf));
q_brudd_forhold=q_brudd./b;
Xf_forhold=Xf./d;

id_min=find(q_brudd_forhold==min(q_brudd_forhold));
q_brudd_forhold_min=min(q_brudd_forhold);
Xf_ved_min=Xf_forhold(id_min);
%% plot for d=250
subplot(1,3,2)
b1=plot(Xf_forhold,q_brudd_forhold)
hold on
plot(Xf_ved_min,q_brudd_forhold_min,'K*','LineWidth',1.5)
hold on
axis([0 3 0 0.25])
%% Inndata
fck=30;
d=500;
b=250;
L=d*15;
a=L/2;
p=0.01;
V=100;
q=50;
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
Xf=linspace(d,3*d,500);
Xa=d;
%% Beregning for d=500 mm
acs=Xf*((L-Xf)/(L-2.*Xf));
for i=1:500
    if acs(i) >= d
    acs(i)= acs(i);
    elseif  acs(i) < d
     acs(i)=d;
    end
end
Alpha_cs=(acs./d);
k=(1./(1-0.5*(d./(L-2*Xf)))).*(0.5+0.2.*(Alpha_cs).^(1/3));
Vc_rev=k.*b.*d.*((100.*p.*fck.*((16+dg)./(acs))).^(1/3));
vcrev_forhold=Vc_rev/(b*d*(fck)^(1/2));
q_brudd=(Vc_rev./((L/2)-Xf));
q_brudd_forhold=q_brudd./b;
Xf_forhold=Xf./d;

id_min=find(q_brudd_forhold==min(q_brudd_forhold));
q_brudd_forhold_min=min(q_brudd_forhold);
Xf_ved_min=Xf_forhold(id_min);
%% plot for d=500
subplot(1,3,2)
b2=plot(Xf_forhold,q_brudd_forhold)
hold on
plot(Xf_ved_min,q_brudd_forhold_min,'K*','LineWidth',1.5)
hold on
axis([0 3 0 0.25])
%% Inndata
fck=30;
d=1000;
b=250;
L=d*15;
a=L/2;
p=0.01;
V=100;
q=50;
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
Xf=linspace(d,3*d,500);
Xa=d;
%% Beregning for d=1000 mm

acs=Xf*((L-Xf)/(L-2.*Xf));
for i=1:500
    if acs(i) >= d
    acs(i)= acs(i);
    elseif  acs(i) < d
     acs(i)=d;
    end
end
Alpha_cs=(acs./d);
k=(1./(1-0.5*(d./(L-2*Xf)))).*(0.5+0.2.*(Alpha_cs).^(1/3));
Vc_rev=k.*b.*d.*((100.*p.*fck.*((16+dg)./(acs))).^(1/3));
vcrev_forhold=Vc_rev/(b*d*(fck)^(1/2));
q_brudd=(Vc_rev./((L/2)-Xf));
q_brudd_forhold=q_brudd./b;
Xf_forhold=Xf./d;

id_min=find(q_brudd_forhold==min(q_brudd_forhold));
q_brudd_forhold_min=min(q_brudd_forhold);
Xf_ved_min=Xf_forhold(id_min);
%% plot for d=1000
subplot(1,3,2)
b3=plot(Xf_forhold,q_brudd_forhold)
hold on
plot(Xf_ved_min,q_brudd_forhold_min,'K*','LineWidth',1.5)
hold on
axis([0 3 0 0.25])

%% Inndata
fck=30;
d=2000;
b=250;
L=d*15;
a=L/2;
p=0.01;
V=100;
q=50;
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
Xf=linspace(d,3*d,500);
Xa=d;
%% Beregning for d=2000 mm
acs=Xf*((L-Xf)/(L-2.*Xf));
for i=1:500
    if acs(i) >= d
    acs(i)= acs(i);
    elseif  acs(i) < d
     acs(i)=d;
    end
end
Alpha_cs=(acs./d);
k=(1./(1-0.5*(d./(L-2*Xf)))).*(0.5+0.2.*(Alpha_cs).^(1/3));
Vc_rev=k.*b.*d.*((100.*p.*fck.*((16+dg)./(acs))).^(1/3));
vcrev_forhold=Vc_rev/(b*d*(fck)^(1/2));
q_brudd=(Vc_rev./((L/2)-Xf));
q_brudd_forhold=q_brudd./b;
Xf_forhold=Xf./d;

id_min=find(q_brudd_forhold==min(q_brudd_forhold));
q_brudd_forhold_min=min(q_brudd_forhold);
Xf_ved_min=Xf_forhold(id_min);
%% plot for d=2000
subplot(1,3,2)
b4=plot(Xf_forhold,q_brudd_forhold)
hold on
plot(Xf_ved_min,q_brudd_forhold_min,'K*','LineWidth',1.5)
hold on
axis([0 3 0 0.25])

legend([b1 b2 b3 b4],{'d=250 mm','d=500 mm','d=1000 mm','d=2000 mm'},'location','southeast')
xlabel('x_F / d [-]')
ylabel('q_b_r_u_d_d / b [MPa]')
title('(b) pvirkning fra d','fontsize',16)

%% Inndata
fck=30;
d=500;
b=250;
L=d*15;
a=L/2;
p=0.005;
V=100;
q=50;
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
Xf=linspace(d,3*d,500);
Xa=d;
%% Beregning for p=0.5 %
acs=Xf*((L-Xf)/(L-2.*Xf));
for i=1:500
    if acs(i) >= d
    acs(i)= acs(i);
    elseif  acs(i) < d
     acs(i)=d;
    end
end
Alpha_cs=(acs./d);
k=(1./(1-0.5*(d./(L-2*Xf)))).*(0.5+0.2.*(Alpha_cs).^(1/3));
Vc_rev=k.*b.*d.*((100.*p.*fck.*((16+dg)./(acs))).^(1/3));
vcrev_forhold=Vc_rev/(b*d*(fck)^(1/2));
q_brudd=(Vc_rev./((L/2)-Xf));
q_brudd_forhold=q_brudd./b;
Xf_forhold=Xf./d;

id_min=find(q_brudd_forhold==min(q_brudd_forhold));
q_brudd_forhold_min=min(q_brudd_forhold);
Xf_ved_min=Xf_forhold(id_min);
%% plot fo p=0.5%
subplot(1,3,3)
c1=plot(Xf_forhold,q_brudd_forhold)
hold on
plot(Xf_ved_min,q_brudd_forhold_min,'K*','LineWidth',1.5)
hold on
axis([0 3 0 0.25])

%% Inndata
fck=30;
d=500;
b=250;
L=d*15;
a=L/2;
p=0.01;
V=100;
q=50;
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
Xf=linspace(d,3*d,500);
Xa=d;
%% Beregning for p=1 %
acs=Xf*((L-Xf)/(L-2.*Xf));
for i=1:500
    if acs(i) >= d
    acs(i)= acs(i);
    elseif  acs(i) < d
     acs(i)=d;
    end
end
Alpha_cs=(acs./d);
k=(1./(1-0.5*(d./(L-2*Xf)))).*(0.5+0.2.*(Alpha_cs).^(1/3));
Vc_rev=k.*b.*d.*((100.*p.*fck.*((16+dg)./(acs))).^(1/3));
vcrev_forhold=Vc_rev/(b*d*(fck)^(1/2));
q_brudd=(Vc_rev./((L/2)-Xf));
q_brudd_forhold=q_brudd./b;
Xf_forhold=Xf./d;

id_min=find(q_brudd_forhold==min(q_brudd_forhold));
q_brudd_forhold_min=min(q_brudd_forhold);
Xf_ved_min=Xf_forhold(id_min);
%% plot for p=1%
subplot(1,3,3)
c2=plot(Xf_forhold,q_brudd_forhold)
hold on
plot(Xf_ved_min,q_brudd_forhold_min,'K*','LineWidth',1.5)
hold on
axis([0 3 0 0.25])

%% Inndata
fck=30;
d=500;
b=250;
L=d*15;
a=L/2;
p=0.02;
V=100;
q=50;
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
Xf=linspace(d,3*d,500);
Xa=d;
%% Beregning for p=2 %
acs=Xf*((L-Xf)/(L-2.*Xf));
for i=1:500
    if acs(i) >= d
    acs(i)= acs(i);
    elseif  acs(i) < d
     acs(i)=d;
    end
end
Alpha_cs=(acs./d);
k=(1./(1-0.5*(d./(L-2*Xf)))).*(0.5+0.2.*(Alpha_cs).^(1/3));
Vc_rev=k.*b.*d.*((100.*p.*fck.*((16+dg)./(acs))).^(1/3));
vcrev_forhold=Vc_rev/(b*d*(fck)^(1/2));
q_brudd=(Vc_rev./((L/2)-Xf));
q_brudd_forhold=q_brudd./b;
Xf_forhold=Xf./d;

id_min=find(q_brudd_forhold==min(q_brudd_forhold));
q_brudd_forhold_min=min(q_brudd_forhold);
Xf_ved_min=Xf_forhold(id_min);
%% plot for p=2%
subplot(1,3,3)
c3=plot(Xf_forhold,q_brudd_forhold)
hold on
plot(Xf_ved_min,q_brudd_forhold_min,'K*','LineWidth',1.5)
hold on
axis([0 3 0 0.25])

%% Inndata
fck=30;
d=500;
b=250;
L=d*15;
a=L/2;
p=0.03;
V=100;
q=50;
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
Xf=linspace(d,3*d,500);
Xa=d;
%% Beregning for p=3 %
acs=Xf*((L-Xf)/(L-2.*Xf));
for i=1:500
    if acs(i) >= d
    acs(i)= acs(i);
    elseif  acs(i) < d
     acs(i)=d;
    end
end
Alpha_cs=(acs./d);
k=(1./(1-0.5*(d./(L-2*Xf)))).*(0.5+0.2.*(Alpha_cs).^(1/3));
Vc_rev=k.*b.*d.*((100.*p.*fck.*((16+dg)./(acs))).^(1/3));
vcrev_forhold=Vc_rev/(b*d*(fck)^(1/2));
q_brudd=(Vc_rev./((L/2)-Xf));
q_brudd_forhold=q_brudd./b;
Xf_forhold=Xf./d;

id_min=find(q_brudd_forhold==min(q_brudd_forhold));
q_brudd_forhold_min=min(q_brudd_forhold);
Xf_ved_min=Xf_forhold(id_min);
%% plot for p=3%
subplot(1,3,3)
c4=plot(Xf_forhold,q_brudd_forhold)
hold on
plot(Xf_ved_min,q_brudd_forhold_min,'K*','LineWidth',1.5)
hold on
axis([0 3 0 0.25])

legend([c1 c2 c3 c4],{'p=0.5 %','p=1 %','p=2 %','p=3 %'},'location','southeast')
xlabel('x_F / d [-]')
ylabel('q_b_r_u_d_d / b [MPa]')
title('(c) pvirkning fra p','fontsize',16)
print(fig,'Beregning_mot_xf_d_jevntfordeltlast','-dpng','-r300')