%% Videreutvikling CSCT, skjrkapasitet med rf for forskjellige pvirkninger
%% inndata
a=1500;
fck=30;
p=0.01;
d=500;
b=250;
V=200;
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
L=2.*a;
rf=linspace(0.5*d,3*d,500);

%% Beregning mot rf a/d=3
Xcrit_CSCT=a-rf;
for i=1:500
    if Xcrit_CSCT(i) >= d
    Xcrit_CSCT(i)= Xcrit_CSCT(i);
    elseif  Xcrit_CSCT(i) < d
     Xcrit_CSCT(i)=d;
    end
end
Alpha_cs=(Xcrit_CSCT./d);
k=(1./(1-0.15*(d./rf))).*(0.5+0.2.*(Alpha_cs).^(1/3));
Vc_rev=k.*b.*d.*((100.*p.*fck.*((16+dg)./(Xcrit_CSCT))).^(1/3));
vcrev_forhold=Vc_rev/(b*d*(fck)^(1/2));
rf_forhold=rf./d;

id_min=find(vcrev_forhold==min(vcrev_forhold));
Vcrev_forhold_min=min(vcrev_forhold);
rf_ved_min=rf_forhold(id_min);


%% plot for a/d=3
fig=figure
subplot(1,3,1)
a1=plot(rf_forhold,vcrev_forhold)
hold on
plot(rf_ved_min,Vcrev_forhold_min,'K*','LineWidth',1.5)
hold on
%% innputt
a=2500;
fck=30;
p=0.01;
d=500;
b=250;
V=200;
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
L=2.*a;
rf=linspace(0.5*d,3*d,500);

%% Beregning mot rf a/d=5
Xcrit_CSCT=a-rf;
for i=1:500
    if Xcrit_CSCT(i) >= d
    Xcrit_CSCT(i)= Xcrit_CSCT(i);
    elseif  Xcrit_CSCT(i) < d
     Xcrit_CSCT(i)=d;
    end
end
Alpha_cs=(Xcrit_CSCT./d);
k=(1./(1-0.15*(d./rf))).*(0.5+0.2.*(Alpha_cs).^(1/3));
Vc_rev=k.*b.*d.*((100.*p.*fck.*((16+dg)./(Xcrit_CSCT))).^(1/3));
vcrev_forhold=Vc_rev/(b*d*(fck)^(1/2));
rf_forhold=rf./d;

id_min=find(vcrev_forhold==min(vcrev_forhold));
Vcrev_forhold_min=min(vcrev_forhold);
rf_ved_min=rf_forhold(id_min);

%% plot for a/d=5
subplot(1,3,1)
a2=plot(rf_forhold,vcrev_forhold)
hold on
plot(rf_ved_min,Vcrev_forhold_min,'K*','LineWidth',1.5)
hold on

%% innputt
a=3500;
fck=30;
p=0.01;
d=500;
b=250;
V=200;
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
L=2.*a;
rf=linspace(0.5*d,3*d,500);

%% Beregning mot rf a/d=7
Xcrit_CSCT=a-rf;
for i=1:500
    if Xcrit_CSCT(i) >= d
    Xcrit_CSCT(i)= Xcrit_CSCT(i);
    elseif  Xcrit_CSCT(i) < d
     Xcrit_CSCT(i)=d;
    end
end
Alpha_cs=(Xcrit_CSCT./d);
k=(1./(1-0.15*(d./rf))).*(0.5+0.2.*(Alpha_cs).^(1/3));
Vc_rev=k.*b.*d.*((100.*p.*fck.*((16+dg)./(Xcrit_CSCT))).^(1/3));
vcrev_forhold=Vc_rev/(b*d*(fck)^(1/2));
rf_forhold=rf./d;

id_min=find(vcrev_forhold==min(vcrev_forhold));
Vcrev_forhold_min=min(vcrev_forhold);
rf_ved_min=rf_forhold(id_min);

%% plot for a/d=7
subplot(1,3,1)
a3=plot(rf_forhold,vcrev_forhold)
hold on
plot(rf_ved_min,Vcrev_forhold_min,'K*','LineWidth',1.5)
legend([a1 a2 a3],{'a/d=3','a/d=5','a/d=7'},'location','southeast')
xlabel('r_F / d [-]')
ylabel('V_c/(b d \surdfck) [\surdMPa]')
title('(a) pvirkning fra a/d forhold','fontsize',16)
hold on
axis([0 3 0 0.25])
set(fig,'position',[0 0 1500 400])

%% innputt
a=2500;
fck=30;
p=0.005;
d=500;
b=250;
V=200;
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
L=2.*a;
rf=linspace(0.5*d,3*d,500);

%% Beregning mot rf p=0.005
Xcrit_CSCT=a-rf;
for i=1:500
    if Xcrit_CSCT(i) >= d
    Xcrit_CSCT(i)= Xcrit_CSCT(i);
    elseif  Xcrit_CSCT(i) < d
     Xcrit_CSCT(i)=d;
    end
end
Alpha_cs=(Xcrit_CSCT./d);
k=(1./(1-0.15*(d./rf))).*(0.5+0.2.*(Alpha_cs).^(1/3));
Vc_rev=k.*b.*d.*((100.*p.*fck.*((16+dg)./(Xcrit_CSCT))).^(1/3));
vcrev_forhold=Vc_rev/(b*d*(fck)^(1/2));
rf_forhold=rf./d;

id_min=find(vcrev_forhold==min(vcrev_forhold));
Vcrev_forhold_min=min(vcrev_forhold);
rf_ved_min=rf_forhold(id_min);

%% plot  for p=0.005
subplot(1,3,2)
b1=plot(rf_forhold,vcrev_forhold)
hold on
plot(rf_ved_min,Vcrev_forhold_min,'K*','LineWidth',1.5)
hold on
axis([0 3 0 0.25])
%% innputt
a=2500;
fck=30;
p=0.01;
d=500;
b=250;
V=200;
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
L=2.*a;
rf=linspace(0.5*d,3*d,500);

%% Beregning mot rf p=0.01
Xcrit_CSCT=a-rf;
for i=1:500
    if Xcrit_CSCT(i) >= d
    Xcrit_CSCT(i)= Xcrit_CSCT(i);
    elseif  Xcrit_CSCT(i) < d
     Xcrit_CSCT(i)=d;
    end
end
Alpha_cs=(Xcrit_CSCT./d);
k=(1./(1-0.15*(d./rf))).*(0.5+0.2.*(Alpha_cs).^(1/3));
Vc_rev=k.*b.*d.*((100.*p.*fck.*((16+dg)./(Xcrit_CSCT))).^(1/3));
vcrev_forhold=Vc_rev/(b*d*(fck)^(1/2));
rf_forhold=rf./d;

id_min=find(vcrev_forhold==min(vcrev_forhold));
Vcrev_forhold_min=min(vcrev_forhold);
rf_ved_min=rf_forhold(id_min);

%% plot for p=0.01
subplot(1,3,2)
b2=plot(rf_forhold,vcrev_forhold)
hold on
plot(rf_ved_min,Vcrev_forhold_min,'K*','LineWidth',1.5)
hold on
axis([0 3 0 0.25])
%% innputt
a=2500;
fck=30;
p=0.02;
d=500;
b=250;
V=200;
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
L=2.*a;
rf=linspace(0.5*d,3*d,500);

%% Beregning mot rf p=0.02
Xcrit_CSCT=a-rf;
for i=1:500
    if Xcrit_CSCT(i) >= d
    Xcrit_CSCT(i)= Xcrit_CSCT(i);
    elseif  Xcrit_CSCT(i) < d
     Xcrit_CSCT(i)=d;
    end
end
Alpha_cs=(Xcrit_CSCT./d);
k=(1./(1-0.15*(d./rf))).*(0.5+0.2.*(Alpha_cs).^(1/3));
Vc_rev=k.*b.*d.*((100.*p.*fck.*((16+dg)./(Xcrit_CSCT))).^(1/3));
vcrev_forhold=Vc_rev/(b*d*(fck)^(1/2));
rf_forhold=rf./d;

id_min=find(vcrev_forhold==min(vcrev_forhold));
Vcrev_forhold_min=min(vcrev_forhold);
rf_ved_min=rf_forhold(id_min);

%% plot for p=0.02
subplot(1,3,2)
b3=plot(rf_forhold,vcrev_forhold)
hold on
plot(rf_ved_min,Vcrev_forhold_min,'K*','LineWidth',1.5)
hold on
axis([0 3 0 0.25])
%% innputt
a=2500;
fck=30;
p=0.03;
d=500;
b=250;
V=200;
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
L=2.*a;
rf=linspace(0.5*d,3*d,500);

%% Beregning mot rf p=0.03
Xcrit_CSCT=a-rf;
for i=1:500
    if Xcrit_CSCT(i) >= d
    Xcrit_CSCT(i)= Xcrit_CSCT(i);
    elseif  Xcrit_CSCT(i) < d
     Xcrit_CSCT(i)=d;
    end
end
Alpha_cs=(Xcrit_CSCT./d);
k=(1./(1-0.15*(d./rf))).*(0.5+0.2.*(Alpha_cs).^(1/3));
Vc_rev=k.*b.*d.*((100.*p.*fck.*((16+dg)./(Xcrit_CSCT))).^(1/3));
vcrev_forhold=Vc_rev/(b*d*(fck)^(1/2));
rf_forhold=rf./d;

id_min=find(vcrev_forhold==min(vcrev_forhold));
Vcrev_forhold_min=min(vcrev_forhold);
rf_ved_min=rf_forhold(id_min);

%% plot for p=0.03
subplot(1,3,2)
b4=plot(rf_forhold,vcrev_forhold)
hold on
plot(rf_ved_min,Vcrev_forhold_min,'K*','LineWidth',1.5)
hold on
legend([b1 b2 b3 b4],{'p=0.5%','p=1%','p=2%','p=3%'},'location','southeast')
xlabel('r_F / d [-]')
ylabel('V_c/(b d \surdfck) [\surdMPa]')
title('(b) pvirkning fra p','fontsize',16)
hold on
axis([0 3 0 0.25])
%% innputt
a=2500;
fck=20;
p=0.01;
d=500;
b=250;
V=200;
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
L=2.*a;
rf=linspace(0.5*d,3*d,500);

%% Beregning mot rf fck=20
Xcrit_CSCT=a-rf;
for i=1:500
    if Xcrit_CSCT(i) >= d
    Xcrit_CSCT(i)= Xcrit_CSCT(i);
    elseif  Xcrit_CSCT(i) < d
     Xcrit_CSCT(i)=d;
    end
end
Alpha_cs=(Xcrit_CSCT./d);
k=(1./(1-0.15*(d./rf))).*(0.5+0.2.*(Alpha_cs).^(1/3));
Vc_rev=k.*b.*d.*((100.*p.*fck.*((16+dg)./(Xcrit_CSCT))).^(1/3));
vcrev_forhold=Vc_rev/(b*d*(fck)^(1/2));
rf_forhold=rf./d;

id_min=find(vcrev_forhold==min(vcrev_forhold));
Vcrev_forhold_min=min(vcrev_forhold);
rf_ved_min=rf_forhold(id_min);

%% plot for fck=20
subplot(1,3,3)
c1=plot(rf_forhold,vcrev_forhold)
hold on
plot(rf_ved_min,Vcrev_forhold_min,'K*','LineWidth',1.5)
hold on
axis([0 3 0 0.25])
%% innputt
a=2500;
fck=40;
p=0.01;
d=500;
b=250;
V=200;
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
L=2.*a;
rf=linspace(0.5*d,3*d,500);

%% Beregning mot rf fck=40
Xcrit_CSCT=a-rf;
for i=1:500
    if Xcrit_CSCT(i) >= d
    Xcrit_CSCT(i)= Xcrit_CSCT(i);
    elseif  Xcrit_CSCT(i) < d
     Xcrit_CSCT(i)=d;
    end
end
Alpha_cs=(Xcrit_CSCT./d);
k=(1./(1-0.15*(d./rf))).*(0.5+0.2.*(Alpha_cs).^(1/3));
Vc_rev=k.*b.*d.*((100.*p.*fck.*((16+dg)./(Xcrit_CSCT))).^(1/3));
vcrev_forhold=Vc_rev/(b*d*(fck)^(1/2));
rf_forhold=rf./d;

id_min=find(vcrev_forhold==min(vcrev_forhold));
Vcrev_forhold_min=min(vcrev_forhold);
rf_ved_min=rf_forhold(id_min);

%% plot for fck=40
subplot(1,3,3)
c2=plot(rf_forhold,vcrev_forhold)
hold on
plot(rf_ved_min,Vcrev_forhold_min,'K*','LineWidth',1.5)
hold on
axis([0 3 0 0.25])
%% innputt
a=2500;
fck=60;
p=0.01;
d=500;
b=250;
V=200;
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
L=2.*a;
rf=linspace(0.5*d,3*d,500);

%% Beregning mot rf fck=60
Xcrit_CSCT=a-rf;
for i=1:500
    if Xcrit_CSCT(i) >= d
    Xcrit_CSCT(i)= Xcrit_CSCT(i);
    elseif  Xcrit_CSCT(i) < d
     Xcrit_CSCT(i)=d;
    end
end
Alpha_cs=(Xcrit_CSCT./d);
k=(1./(1-0.15*(d./rf))).*(0.5+0.2.*(Alpha_cs).^(1/3));
Vc_rev=k.*b.*d.*((100.*p.*fck.*((16+dg)./(Xcrit_CSCT))).^(1/3));
vcrev_forhold=Vc_rev/(b*d*(fck)^(1/2));
rf_forhold=rf./d;

id_min=find(vcrev_forhold==min(vcrev_forhold));
Vcrev_forhold_min=min(vcrev_forhold);
rf_ved_min=rf_forhold(id_min);

%% plot  for fck=60
subplot(1,3,3)
c3=plot(rf_forhold,vcrev_forhold)
hold on
plot(rf_ved_min,Vcrev_forhold_min,'K*','LineWidth',1.5)
hold on
legend([c1 c2 c3 ],{'f_c_k=20 MPa','f_c_k=40 MPa','f_c_k=60 MPa'},'location','southeast')
xlabel('r_F / d [-]')
ylabel('V_c/(b d \surdfck) [\surdMPa]')
title('(c) pvirkning fra f_c_k','fontsize',16)
hold on
axis([0 3 0 0.25])
print(fig,'Beregning_mot_rf_d_punktlast','-dpng','-r300')