%%Parametersammenligning med a/d som variabel.

%% Innputt data
a=linspace(1000,2400,50); 
fck=35;
p=0.01;
d=400;
a_d=a/d;
b=200;
V=50000;  
q=50000;  
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
L=2.*a;
V_j=(q.*(L*10^-3))/2;
%% CSCT fra 2008
%Punkt belastning
Xcrit=(a-d/2); %asc 
c=d.*p.*(Es./Ec).*((1+((2.*Ec)./(p.*Es))).^(1/2)-1);
z=d-c/3;
Toining=((V.*Xcrit)./(p.*d.*b.*Es.*z)).*((0.6*d-c)/(d-c));
Vc=((b.*d.*(fck).^0.5)./(3*(1+((120*Toining*d)/(16+dg))))).*10^-3;

%Jevnt fordelt belastning
Xcrit_j=(d/2).*((L-(d/2))./(L-d));   %asc
Toining_j=((V_j.*Xcrit_j)./(p.*d.*b.*Es.*z)).*((0.6*d-c)/(d-c));
Vc_j=((b.*d.*(fck).^0.5)./(3*(1+((120*Toining_j*d)/(16+dg))))).*10^-3;

%% Videreutvikling CSCT fra 2017
%Punkt belastning
Xcrit_CSCT=a-d; %asc
rf=d;
Alpha_cs=(Xcrit_CSCT./d);
k=(1/(1-0.15))*(0.5+0.2.*(Alpha_cs).^(1/3));
Vc_rev=k.*b.*d.*((100.*p.*fck.*((16+dg)./(Xcrit_CSCT))).^(1/3)).*10^-3;

%Jevnt fordelt belastning
Xcrit_CSCT_j=d.*((L-d)./(L-2.*d)); %asc
rf_j=((L/2)-d)./2;
Alpha_cs_j=(Xcrit_CSCT_j./d);
k_j=(1./(1-(0.15.*(d./rf_j)))).*(0.5+0.2.*(Alpha_cs_j).^(1/3));
Vc_rev_j=k_j.*b.*d.*((100.*p.*fck.*((16+dg)./(Xcrit_CSCT_j))).^(1/3)).*10^-3;


%% Eurokode 2
%Samme for punkt og jevnt fordelt belastning
K=1+(200/d)^(1/2);

for i=1:50
    if (0.18*K*((100*p*fck).^(1/3))*b*d*10^-3)+(a_d(i)-a_d(i)) >= 0.035*(K^(3/2))*fck.^(1/2)*b*d*10^-3
    Vc_EC2(i)=(0.18*K*((100*p*fck).^(1/3))*b*d*10^-3)+(a_d(i)-a_d(i));
    elseif (0.18*K*((100*p*fck).^(1/3))*b*d*10^-3)+(a_d(i)-a_d(i)) < 0.035*(K^(3/2))*fck.^(1/2)*b*d*10^-3
    Vc_EC2(i)=0.035*(K^(3/2))*fck.^(1/2)*b*d*10^-3;
    end
end


%% Revisjon av EC2
%Punkt belastning
Xcrit_EC2rev=(a-d/2);    %acs

for i=1:50
    if Xcrit_EC2rev(i) >= 2.5*d
    Vc_EC2rev(i)=(a(i)-d/2);
    elseif Xcrit_EC2rev(i) < 2.5*d
    Xcrit_EC2rev(i)=2.5*d;
    end
end

Vc_EC2rev=((100*p*fck*((16+dg)./(Xcrit_EC2rev))).^(1/3))*b*d*10^-3;

Vmin_rev=0.021*((Es*fck*((16+dg)/(fy*d)))^(1/2))*b*d*10^-3;
    
for i=1:50
    if Vc_EC2rev(i) >= Vmin_rev
    Vc_EC2rev(i)=((100*p*fck*((16+dg)./(Xcrit_EC2rev(i)))).^(1/3))*b*d*10^-3;
    elseif Vc_EC2rev(i) < Vmin_rev
    Vc_EC2rev(i)=Vmin_rev;
    end
end

%Jenvt fordelt belastning
Xcrit_EC2rev_j=(d/2).*((L-(d/2))./(L-d));
for i=1:50
    if Xcrit_EC2rev_j(i) >= 2.5*d
    Xcrit_EC2rev_j(i)=(d/2).*((L(i)-(d/2))./(L(i)-d));
    elseif Xcrit_EC2rev_j(i) < 2.5*d
    Xcrit_EC2rev_j(i)=2.5*d;
    end
end

Vc_EC2rev_j=((100*p*fck*((16+dg)./(Xcrit_EC2rev_j))).^(1/3))*b*d*10^-3;

Vmin_rev=0.021*((Es*fck*((16+dg)./(fy*d))).^(1/2))*b.*d*10^-3;
    
for i=1:50
    if Vc_EC2rev_j(i) >= Vmin_rev
    Vc_EC2rev_j(i)=((100*p*fck*((16+dg)./(Xcrit_EC2rev_j(i)))).^(1/3))*b*d*10^-3;
    elseif Vc_EC2rev_j(i) < Vmin_rev
    Vc_EC2rev_j(i)=Vmin_rev;
    end
end

%% plot figurer

fig=figure;
%plot for punkt last
subplot(1,2,1)
plot (a_d,Vc,'r','LineWidth',1.5)
hold on
plot(a_d,Vc_rev,'color',[0 0.6 0.3],'LineWidth',1.5)
hold on
plot(a_d,Vc_EC2,'b','LineWidth',1.5)
hold on
plot(a_d,Vc_EC2rev,'color',[1.0 0.8 0],'LineWidth',1.5)
hold on
legend('CSCT 2008','Videreutvikling CSCT','Eurokode 2', 'Eurokode 2 revisjon','location','northwest')
xlabel('a/d [-]')
ylabel ('VRd [kN]')
axis([2.5 6 30 130])
title('(a)  Sammenligning av a/d for punktlast','fontsize',16)

%plot for jevnt fordelt last
subplot(1,2,2)
plot(a_d,Vc_j,'r','LineWidth',1.5)
hold on
plot(a_d,Vc_rev_j,'color',[0 0.6 0.3],'LineWidth',1.5')
hold on
plot(a_d,Vc_EC2,'b','LineWidth',1.5)
hold on
plot(a_d,Vc_EC2rev_j,'color',[1.0 0.8 0],'LineWidth',1.5)
hold on
legend('CSCT 2008','Videreutvikling CSCT','Eurokode 2', 'Eurokode 2 revisjon','location','northwest')
xlabel('a/d [-]')
ylabel ('VRd [kN]')
axis([2.5 6 30 170])
title('(b)  Sammenligning av a/d for jevnt fordelt last','fontsize',16)
set(fig,'position',[0 0 1300 500])

print(fig,'a_d_Sammenligninger','-dpng','-r300')