%% Parametersammenligning med dg som variabel (figur 7.6)
%% Innputt data
a_d=3.5;
a=1400;
fck=35;
p=0.01;
d=400;
b=200;
V=50000;
q=50000;
dg=linspace (0,40,50);
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
L=2800;
V_j=(q.*(L*10^-3))/2;
%% CSCT fra 2008
Xcrit_p=(a-d/2);
c=d.*p.*(Es./Ec).*((1+((2.*Ec)./(p.*Es))).^(1/2)-1);
z=d-c/3;
Toining=((V.*Xcrit_p)./(p.*d.*b.*Es.*z)).*((0.6*d-c)/(d-c));
Vc_p=((b.*d.*(fck).^0.5)./(3*(1+((120*Toining*d)./(16+dg))))).*10^-3;
      
Xcrit_j=(d/2).*((L-(d/2))./(L-d));
Toining_j=((V_j.*Xcrit_j)./(p.*d.*b.*Es.*z)).*((0.6*d-c)/(d-c));
Vc_j=((b.*d.*(fck).^0.5)./(3*(1+((120*Toining_j*d)./(16+dg))))).*10^-3;


%% Videreutvikling CSCT
Xcrit_CSCT=a-d;
rf=d;
Alpha_cs=(Xcrit_CSCT/d);
k=(1/(1-(0.15*(d/rf))))*(0.5+0.2*(Alpha_cs)^(1/3));
Vc_rev=k.*b.*d*((100.*p.*fck.*((16+dg)/(Xcrit_CSCT))).^(1/3)).*10^-3;

for i=1:50
    if 16+dg(i) <=40
    Vc_rev(i)=k.*b.*d*((100.*p.*fck.*((16+dg(i))./(Xcrit_CSCT))).^(1/3)).*10^-3;
    elseif 16+dg(i) >40
    Vc_rev(i)=k.*b.*d*((100.*p.*fck.*((40)/(Xcrit_CSCT))).^(1/3)).*10^-3;
    end
end

Xcrit_CSCT_j=d*((L-d)/(L-2*d));
rf_j=(1/2)*((L/2)-d);
Alpha_cs_j=(Xcrit_CSCT_j/d);
k_j=(1/(1-(0.15*(d/rf))))*(0.5+0.2*(Alpha_cs_j)^(1/3));
Vc_rev_j=k_j.*b.*d*((100.*p.*fck.*((16+dg)/(Xcrit_CSCT_j))).^(1/3)).*10^-3;

for i=1:50
    if 16+dg(i) <=40
    Vc_rev_j(i)=k_j.*b.*d*((100.*p.*fck.*((16+dg(i))/(Xcrit_CSCT_j))).^(1/3)).*10^-3;
    elseif 16+dg(i) >40
    Vc_rev_j(i)=k_j.*b.*d*((100.*p.*fck.*((40)/(Xcrit_CSCT_j))).^(1/3)).*10^-3;
    end
end


%% Eurokode 2
K=1+(200/d)^(1/2);

for i=1:50
    if 0.18*K*((100*p*fck).^(1/3))*b*d*10^-3+(dg(i)-dg(i)) >= 0.035*(K^(3/2))*fck.^(1/2)*b*d*10^-3
    Vc_EC2(i)=0.18*K*((100*p*fck).^(1/3))*b*d*10^-3+(dg(i)-dg(i));
    elseif 0.18*K*((100*p*fck).^(1/3))*b*d*10^-3+(dg(i)-dg(i))< 0.035*(K^(3/2))*fck.^(1/2)*b*d*10^-3
    Vc_EC2(i)=0.035*(K^(3/2))*fck.^(1/2)*b*d*10^-3;
    end
end

%% Revisjon av EC2

Xcrit_EC2rev=(a-d/2);

for i=1:50
    if Xcrit_EC2rev >= 2.5*d
    Vc_EC2rev=(a-d/2);
    elseif Xcrit_EC2rev < 2.5*d
    Xcrit_EC2rev=2.5*d;
    end
end

Vc_EC2rev=((100*p*fck*((16+dg)/(Xcrit_EC2rev))).^(1/3))*b*d*10^-3;
for i=1:50
    if 16+dg(i) <=40
    Vc_EC2rev(i)=((100*p*fck*((16+dg(i))/(Xcrit_EC2rev))).^(1/3))*b*d*10^-3;
    elseif 16+dg(i) >40
    Vc_EC2rev(i)=((100*p*fck*((40)/(Xcrit_EC2rev))).^(1/3))*b*d*10^-3;
    end
end
Vmin_rev=0.021*((Es*fck*((16+dg)/(fy*d))).^(1/2))*b*d*10^-3;
for i=1:50
    if 16+dg(i) <=40
    Vmin_rev(i)=0.021*((Es*fck*((16+dg(i))/(fy*d)))^(1/2))*b*d*10^-3;
    elseif 16+dg(i) >40
    Vmin_rev(i)=0.021*((Es*fck*((40)/(fy*d)))^(1/2))*b*d*10^-3;
    end
end   
for i=1:50
    if Vc_EC2rev(i) >= Vmin_rev(i)
    Vc_EC2rev(i)=Vc_EC2rev(i);
    elseif Vc_EC2rev(i) < Vmin_rev(i)
    Vc_EC2rev(i)=Vmin_rev(i);
    end
end

Xcrit_EC2rev_j=(d/2)*((L-(d/2))/(L-d));

for i=1:50
    if Xcrit_EC2rev_j >= 2.5*d
    Vc_EC2rev_j=(d/2).*((L-(d/2))./(L-d));
    elseif Xcrit_EC2rev_j < 2.5*d
    Xcrit_EC2rev_j=2.5*d;
    end
end

Vc_EC2rev_j=((100*p*fck*((16+dg)/(Xcrit_EC2rev_j))).^(1/3))*b*d*10^-3;
for i=1:50
    if 16+dg(i) <=40
    Vc_EC2rev_j(i)=((100*p*fck*((16+dg(i))/(Xcrit_EC2rev_j))).^(1/3))*b*d*10^-3;
    elseif 16+dg(i) >40
    Vc_EC2rev_j(i)=((100*p*fck*((40)/(Xcrit_EC2rev_j))).^(1/3))*b*d*10^-3;
    end
end
Vmin_rev=0.021*((Es*fck*((16+dg)/(fy*d))).^(1/2))*b*d*10^-3;
   
for i=1:50
    if Vc_EC2rev_j(i) >= Vmin_rev(i)
    Vc_EC2rev_j(i)=Vc_EC2rev_j(i);
    elseif Vc_EC2rev_j(i) < Vmin_rev(i)
    Vc_EC2rev_j(i)=Vmin_rev(i);
    end
end


%% Figur plot
%Plot punktlast
fig=figure;
subplot(1,2,1)
plot (dg,Vc_p,'r','LineWidth',1.5)
hold on
plot(dg,Vc_rev,'color',[0 0.6 0.3],'LineWidth',1.5)
hold on
plot(dg,Vc_EC2,'b','LineWidth',1.5)
hold on
plot(dg,Vc_EC2rev,'color',[1.0 0.8 0],'LineWidth',1.5)
hold on
legend('CSCT 2008','Videreutvikling CSCT','Eurokode 2', 'Eurokode 2 revisjon','location','northwest')
xlabel('dg [mm]')
ylabel ('VRd [kN]')
axis([0 40 40 120])
title('(a)  Sammenligning av dg for punktlast','fontsize',16)

%plot jevnfordeltlast
subplot(1,2,2)
plot(dg,Vc_j,'r','LineWidth',1.5)
hold on
plot(dg,Vc_rev_j,'color',[0 0.6 0.3],'LineWidth',1.5')
hold on
plot(dg,Vc_EC2,'b','LineWidth',1.5)
hold on
plot(dg,Vc_EC2rev_j,'color',[1.0 0.8 0],'LineWidth',1.5)
hold on
legend('CSCT 2008','Videreutvikling CSCT','Eurokode 2', 'Eurokode 2 revisjon','location','northwest')
xlabel('dg [mm]')
ylabel ('VRd [kN]')
axis([0 40 40 160])
title('(b)  Sammenligning av dg for jevnt fordelt last','fontsize',16)
set(fig,'position',[0 0 1300 500])

print(fig,'dg_Sammenligninger','-dpng','-r300')





