%% Parametersammenligning med p som variabel (figur 7.2)
%% Innputt data
a_d=3.5;
a=1400;
fck=35;
p=linspace (0.005,0.03,50);
d=400;
b=200;
V=50000;
q=50000;
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
L=2800;
V_j=(q.*(L*10^-3))/2;
%% CSCT
Xcrit=(a-d/2);
c=d.*p.*(Es./Ec).*((1+((2.*Ec)./(p.*Es))).^(1/2)-1);
z=d-c/3;
Toining=((V.*Xcrit)./(p.*d.*b.*Es.*z)).*((0.6*d-c)/(d-c));
Vc=((b.*d.*(fck).^0.5)./(3*(1+((120*Toining*d)/(16+dg))))).*10^-3;

Xcrit_j=(d/2)*((L-(d/2))/(L-d));
if Xcrit_j>L/6
    Xcrit_j=L/6;
elseif Xcrit_j<=L/6
    Xcrit_j=Xcrit_j;
end
Toining_j=((V_j.*Xcrit_j)./(p.*d.*b.*Es.*z)).*((0.6*d-c)/(d-c));
Vc_j=((b.*d.*(fck).^0.5)./(3*(1+((120*Toining_j*d)/(16+dg))))).*10^-3;  


%% Videreutvikling CSCT
Xcrit_CSCT=a-d;
rf=d;
Alpha_cs=(Xcrit_CSCT/d);
k=(1/(1-(0.15*(d/rf))))*(0.5+0.2*(Alpha_cs)^(1/3));
Vc_rev=k.*b.*d*((100.*p.*fck.*((16+dg)/(Xcrit_CSCT))).^(1/3)).*10^-3;

Xcrit_CSCT_j=d*((L-d)/(L-2*d));
rf_j=(1/2)*((L/2)-d);
Alpha_cs=(Xcrit_CSCT_j/d);
k_j=(1/(1-(0.15*(d/rf_j))))*(0.5+0.2*(Alpha_cs)^(1/3));
Vc_rev_j=k_j.*b.*d*((100.*p.*fck.*((16+dg)/(Xcrit_CSCT_j))).^(1/3)).*10^-3;


%% Eurokode 2
K=1+(200/d)^(1/2);
p_EC2=linspace (0.005,0.03,50);
for i=1:50
    if p_EC2(i) <=0.02
    p_EC2(i)=p(i);
    elseif p_EC2(i) >0.02
    p_EC2(i)=0.02;
    end
end

for i=1:50
    if 0.18*K*((100*p_EC2(i)*fck).^(1/3))*b*d*10^-3 >= 0.035*(K^(3/2))*fck.^(1/2)*b*d*10^-3
    Vc_EC2(i)=0.18*K*((100*p_EC2(i)*fck).^(1/3))*b*d*10^-3;
    elseif 0.18*K*((100*p_EC2(i)*fck).^(1/3))*b*d*10^-3 < 0.035*(K^(3/2))*fck.^(1/2)*b*d*10^-3
    Vc_EC2(i)=0.035*(K^(3/2))*fck.^(1/2)*b*d*10^-3;
    end
end


%% Revisjon av EC2

Xcrit_EC2rev=(a-d/2);

for i=1:50
    if Xcrit_EC2rev >= 2.5*d
    Vc_EC2rev=(a-d/2);
    elseif Xcrit_EC2rev < 2.5*d
    Xcrit_EC2rev=2.5*d;
    end
end

Vc_EC2rev=((100*p*fck*((16+dg)/(Xcrit_EC2rev))).^(1/3))*b*d*10^-3;

Vmin_rev=0.021*((Es*fck*((16+dg)/(fy*d)))^(1/2))*b*d*10^-3;
    
for i=1:50
    if Vc_EC2rev(i) >= Vmin_rev
    Vc_EC2rev(i)=((100*p(i)*fck*((16+dg)/(Xcrit_EC2rev))).^(1/3))*b*d*10^-3;
    elseif Vc_EC2rev(i) < Vmin_rev
    Vc_EC2rev(i)=Vmin_rev;
    end
end

Xcrit_EC2rev_j=(d/2)*((L-(d/2))/(L-d));

for i=1:50
    if Xcrit_EC2rev_j >= 2.5*d
    Vc_EC2rev_j=(d/2).*((L-(d/2))./(L-d));
    elseif Xcrit_EC2rev_j < 2.5*d
    Xcrit_EC2rev_j=2.5*d;
    end
end

Vc_EC2rev_j=((100*p*fck*((16+dg)/(Xcrit_EC2rev_j))).^(1/3))*b*d*10^-3;
    
for i=1:50
    if Vc_EC2rev_j(i) >= Vmin_rev
    Vc_EC2rev_j(i)=((100*p(i)*fck*((16+dg)/(Xcrit_EC2rev))).^(1/3))*b*d*10^-3;
    elseif Vc_EC2rev_j(i) < Vmin_rev
    Vc_EC2rev_j(i)=Vmin_rev;
    end
end

%% Plot figurer

fig=figure;
subplot(1,2,1)
plot (p,Vc,'r','LineWidth',1.5)
hold on
plot(p,Vc_rev,'color',[0 0.6 0.3],'LineWidth',1.5)
hold on
plot(p,Vc_EC2,'b','LineWidth',1.5)
hold on
plot(p,Vc_EC2rev,'color',[1.0 0.8 0],'LineWidth',1.5)
hold on
legend('CSCT 2008','Videreutvikling CSCT','Eurokode 2', 'Eurokode 2 revisjon','location','northwest')
xlabel('p [-]')
ylabel ('VRd [kN]')
%axis([8 100 20 110])
title('(a)  Sammenligning av p for punktlast','fontsize',16)

%plot jevnfordeltlast
subplot(1,2,2)
plot(p,Vc_j,'r','LineWidth',1.5)
hold on
plot(p,Vc_rev_j,'color',[0 0.6 0.3],'LineWidth',1.5')
hold on
plot(p,Vc_EC2,'b','LineWidth',1.5)
hold on
plot(p,Vc_EC2rev_j,'color',[1.0 0.8 0],'LineWidth',1.5)
hold on
legend('CSCT 2008','Videreutvikling CSCT','Eurokode 2', 'Eurokode 2 revisjon','location','northwest')
xlabel('p [-]')
ylabel ('VRd [kN]')
axis([0.005 0.03 40 180])
title('(b)  Sammenligning av p for jevnt fordelt last','fontsize',16)
set(fig,'position',[0 0 1300 500])

print(fig,'p_Sammenligninger','-dpng','-r300')

